<template>
  <v-container>
    <v-col>
      <v-card class="pa-2">
        <v-text-field
            :append-outer-icon="'fa-paper-plane'"
            @click:append-outer="searchCity()"
            v-model="cityQuery"
            label="Location"
            hide-details="auto"
        ></v-text-field>
      </v-card>
    </v-col>
    <v-spacer></v-spacer>
    <v-col v-for="location in this.location" :key="location.Key">
      <WeatherCard :location="location"></WeatherCard>
    </v-col>
  </v-container>
</template>

<script>
import WeatherCard from '../components/WeatherCard';
import {mapActions, mapState} from "vuex";

export default {
  name: "Weather",

  components: {
    WeatherCard,
  },
  data() {
    return {
      cityQuery: ''
    }
  },
  computed: {
    ...mapState('location', ['location'])
  },
  methods: {
    ...mapActions({
      getWeather: 'weather/getWeather',
      getLocation: 'location/getLocation'
    }),
    searchCity() {
      this.getLocation(this.cityQuery)
    }
  },
}
</script>
